Error trying to run ipfs git plugin

I’m not sure if this is supposed to work since it doesn’t seem to be documented anywhere else, but I followed the instructions outlined in the video of the IPFS All Hands from September 18 to try to install the IPFS git plugin, and it doesn’t seem to work. Here are the exact steps I tried:

  1. Follow the instructions in the README to build from source: https://github.com/ipfs/go-ipfs#build-from-source
  2. make plugin/plugins/git.so
  3. ipfs init; mkdir ~/.ipfs/plugins; cp plugin/plugins/git.so ~/.ipfs/plugins
  4. ipfs daemon
  5. Navigate to a folder with a git repository, git push ipld:: master

The result is fatal: Unable to find remote helper for 'ipld'. Any advice on how to get this working?

1 Like

That’s actually a git error. You need to install the git helper for the IPLD protocol. See:

(note, make sure $GOPATH/bin is in your path)

2 Likes

Woot, thanks! It works after installing that.